img1

Su Ubuntu compiz e’ installato di default, e comunque facilmente reperibile tramite repository..grazie a una serie di pacchetti autoinstallanti e autoconfiguranti. Abbiamo visto come non ci siano differenze sostanziali di comportamento con desktop manager differenti da Gnome, per il quale compiz e’ ottimizzato. Forse una delle problematiche piu’ note riguarda le animazioni delle finestre che su kde ad esempio risultano un po’ “artefatte” ma non per questo “scattose”.

>> Continua

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
54.226.33.117

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

, , , , ,

Comments Closed

23 Comments

  • infinity89 ITALY Safari Mac OS 9 anni ago

    FINALMENTE UNA BELLA GUIDA SU COMPIZ! Non ne vedevo una così da molto tempo! Grazie Divi!

  • Interessante guida, in caso se t’interessa ci sono anche i pacchetti precompilati, che possono essere scaricati da questo repository:
    http://www.rapidrabbit.de/jj/zenwalk/packages/ a quanto pare si tratta di un repo consigliato dalla stessa zenwalk: http://wiki.zenwalk.org/index.php?title=Compiz_Fusion

  • [ot]perchè wordpress mi riconosce come OS Kubuntu e come browser “Debian IceWeasel”? 🙁 [/ot]

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @infinity89
    grazie..
    @tonino
    wordpress non c’entra..e’ il plugin che utilizzo per rilevare l’user_agent (browsersniff)
    A seconda della stringa che riceve restituisce un output diverso..chiaramente non e’ infallibile al 100%
    Se ci tieni basta installare l’estensione apposita per firefox, in modo da modificare l’user-agent.
    Ottima la segnalazione per i repository..grazie anche a te
    😉

  • ugaciaka ITALY Konqueror Ubuntu Linux 9 anni ago

    Divi, mi stai facendo venire voglia di provare zenwalk! Un po’ di tempo fa provai slackware…un delirio, troppo difficile, ho dovuto abbandonare non riuscivo manco a far spegnere il pc ad un utente normale.
    Dici che questa distro che deriva da slackware sia un po’ a più portata di mano come uso desktop?

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @ugaciaka
    Diciamo che per i primi giorni il terminale non l’ho aperto proprio.
    Ci sono molti strumenti di amministrazione (zenpanel) che ti consentono di impostare graficamente, rete, wireless (c’e’ wicd), condivisioni samba, host name, moduli del kernel e tante altre cose ancora.
    A livello hardware non devi fare granche’..il kernel usato e’ uno dei piu’ recenti (2.6.24.4) all’installazione devi accettare la licenza adobe per il flashplayer e alcuni firmware delle schede wifi intel.

    Ci sono iceweasel e icedove al posto di firefox e thunderbird..iceweasel e’ gia’ pronto con tutti i codec e i plugins che con Ubuntu normalmente scarichi sempre a parte. (flash , java, etc..)
    Anche per quanto riguarda il multimedia non c’e’ molto da aggiungere..ci sono gia’ tutti i codec necessari sia per mp3 che per divx..brasero, streamtuner, g-mplayer, mplayer, xine…

    Una distribuzione stabile, moderna e aggiornata..meglio di cosi’
    😉

  • nood ITALY Mozilla Firefox Linux 9 anni ago

    dovrò provarla, magari su una virtual mascin dato che con ubuntu ho raggiunto l’equilibrio

  • LuNa ITALY Mozilla Firefox Ubuntu Linux 9 anni ago

    bello divi lo script, e ottima zenwalk.
    unica pecca il repository ufficiale, che anche sommato al repositorio utenti con i suoi ZenBuild, contiene veramente molto poco. Praticamente ho installato tutto da pacchetti slackware standard (quindi non nei repo) e da slacky.eu.
    In questo devo dire netpkg è una figata, difatti ti permette di selezionare uno per volta i repo (anzi sei proprio obbligato) permettendoti così ricerche con meno output e di più facile lettura 🙂

  • ugaciaka ITALY Konqueror Ubuntu Linux 9 anni ago

    Grazie divi, mmm quasi quasi lo provo, dato che almeno qua netpkg mi risolve le dipendenze per me è un sollievo…

  • LuNa ITALY Mozilla Firefox Ubuntu Linux 9 anni ago

    @ugaciaka: attenzione che qualche volta netpkg “canna” malamente. Principalmente funziona, ma in alcuni casi (almeno a me è successo così) ti devi installare la dipendenza a manina cercando di capire dove diamine sta il qualcosa.so.2 (per dire) che manca. Oltre a questo è estremanente macchinoso e ti costringe a diverse conferme da dare manualmente. Scordati assolutamente anche una lieve vicinanza prestazionale e funzionale con apt, pacman, e affini, anche se come ripeto, principalmente si puo’ dire che funziona

  • @LuNa
    devi dare continue conferme se intendi usare netpkg, ma se usi la relativa interfaccia grafica xnetpkg il problema non c’è.
    Effettivamente non capisco il motivo per il quale gli sviluppatori hanno deciso di far lavorare così netpkg, sarebbe bastato dare un netpkg nonsoche che mi avrebbe dovuto installare il pacchetto più le relative dipendenze (ovvio che se voglio quel pacchetto è perchè deve funzionare, quindi non capisco il motivo, delle continue conferme…).

  • milkplus ITALY Mozilla Firefox Linux 9 anni ago

    ho visto che usi murrinacandy, sul sito di murrina ho scaricato MurrinaFancyCandy che è molto più i figo…

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @milkplus
    Se noti bene e’ proprio murrine fancy candy (con tema a “stripes”) scaricato dal sito di Cimi
    Forse non si capisce perche’ il decoratore, in questi screen, e’ emerald.
    😉

    EDIT:

    Hai ragione, e’ candido candy..mi sono confuso col notebook (dove ho xfce e fancycandy)

  • LuNa ITALY Mozilla Firefox Ubuntu Linux 9 anni ago

    @tonino: io l’interfaccia grafica non so cosa sia 😀 non mi piace e non la uso. solo terminale.
    per il motivo delle conferme, penso si possa spiegare, parzialmente, in questo modo:
    se tu dai
    netpkg gnome
    lui è strutturato in modo da andarti a cercare tutte le occorrenze di gnome in tutti i pacchetti del repo selezionato (netpkg mirror) quindi installeresti decine e decine di pacchetti che sicuramente non hai chiesto. Ecco il perchè di tutte queste richieste. Posso anche dirti che in slackware (non so con che cura sia fatto il repo di zenwalk) puoi trovarti in situazioni in cui 2 pacchetti conflittano tra di loro, ma li è per precisa scelta del distributore che non intende gestire le dipendenze, quindi non gestisce nemmeno i conflitti.

    @Divi: cancella pure il commento se ritieni che sono andato troppo OT, ultimamente sembra dia particolarmente fastidio. E sono andato OT. E me ne scuso profondamente, ma mi faceva piacere tentare di rispondere al quesito posto da Tonino all’ #11

  • Fabio SAN MARINO Mozilla Firefox Linux 9 anni ago

    Ciao, ho provato la guida ma mi da errore al termine dello script:
    ……….
    checking pkg-config is at least version 0.9.0… yes
    checking for EMERALD… configure: error: Package requirements ( xrender >= 0.8.4 gtk+-2.0 >= 2.8.0
    libwnck-1.0 libdecoration pangocairo) were not met:

    No package ‘libwnck-1.0′ found

    Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard prefix.

    Alternatively, you may set the environment variables EMERALD_CFLAGS and EMERALD_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    make: *** No rule to make target `clean’. Stop.
    make: *** No targets specified and no makefile found. Stop.

    Non sono riuscito ad installare emerald
    Mi fermo

    Quale può essere il problema?
    Grazie, ciao

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @Fabio
    te lo dice l’errore: ti mancano le librerie libwnck-1.0

    su -c "netpkg libwnck"

  • Fabio SAN MARINO Mozilla Firefox Linux 9 anni ago

    Ha funzionato, infatti avevo provato + o – così, grazie.

    Un altra cosa: come faccio a far partire Fusion-icon con la sua bella iconcina come hai fatto tu? Se da terminale scrivo:
    root[ccm]# fusion-icon
    bash: fusion-icon: command not found
    Ho lanciato questo trovato nella mia home ~/compiz-git/compiz-git/fusion-icon/fusion-icon
    Mi parte e mi vede Emerald e sembra funzionare perfettamente, ma come posso lanciarla in automatico?
    E come posso infine avviare il ccsm da terminale, come dici?

    Grazie mille
    Ciao

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @Fabio
    strano, sembra che a te l’installazione abbia generato i files binari in directory diverse da quelle standard
    La fusion-icon si trova (o si dovrebbe trovare) in:

    /usr/bin/fusion-icon
    /usr/local/bin/fusion-icon

    quindi se sposti l’eseguibile ottenuto dalla compilazione in /usr/bin puoi avviarla come ti pare, perche’ e’ nel percorso della shell (anche usando l’avvio automatico di xfce, dal centro di controllo)

    Stessa cosa per il ccsm, ma non c’e’ bisogno di avviarlo da terminale, cosi’ come la fusion-icon. Una volta in /usr/bin puoi semplicemente richiamare il programma con il launcher di xfce ALT+F2 . IL ccsm poi, lo puoi avviare dalla fusion-icon (click destro su di essa)

  • Fabio SAN MARINO Mozilla Firefox Linux 9 anni ago

    fabiomax[~]$ fusion-icon
    * Error: the “FusionIcon” module is missing. If you did not install fusion-icon to /usr, you may need to add the appropriate site-packages directory to your PYTHONPATH

    🙁

  • Fabio SAN MARINO Mozilla Firefox Linux 9 anni ago

    Ho fatto così:
    root[fusion-icon]# python setup.py install –prefix=/usr (ma prima anche con prefixx /usr/lib /usr/local senza risultati)
    running install
    running build
    running build_py
    running build_scripts
    running install_lib
    creating /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/__init__.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/data.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/environment.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/execute.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/interface.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/parser.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/start.py -> /usr/lib/python2.5/site-packages/FusionIcon
    copying build/lib/FusionIcon/util.py -> /usr/lib/python2.5/site-packages/FusionIcon
    creating /usr/lib/python2.5/site-packages/FusionIcon/interface_qt4
    copying build/lib/FusionIcon/interface_qt4/__init__.py -> /usr/lib/python2.5/site-packages/FusionIcon/interface_qt4
    copying build/lib/FusionIcon/interface_qt4/main.py -> /usr/lib/python2.5/site-packages/FusionIcon/interface_qt4
    creating /usr/lib/python2.5/site-packages/FusionIcon/interface_gtk
    copying build/lib/FusionIcon/interface_gtk/__init__.py -> /usr/lib/python2.5/site-packages/FusionIcon/interface_gtk
    copying build/lib/FusionIcon/interface_gtk/main.py -> /usr/lib/python2.5/site-packages/FusionIcon/interface_gtk
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/__init__.py to __init__.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/data.py to data.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/environment.py to environment.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/execute.py to execute.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/interface.py to interface.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/parser.py to parser.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/start.py to start.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/util.py to util.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/__init__.py to __init__.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/main.py to main.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/__init__.py to __init__.pyc
    byte-compiling /usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/main.py to main.pyc
    running install_scripts
    copying build/scripts-2.5/fusion-icon -> /usr/bin
    changing mode of /usr/bin/fusion-icon to 755
    running install_data
    copying images/22×22/fusion-icon.png -> /usr/share/icons/hicolor/22×22/apps
    copying images/24×24/fusion-icon.png -> /usr/share/icons/hicolor/24×24/apps
    copying images/48×48/fusion-icon.png -> /usr/share/icons/hicolor/48×48/apps
    copying images/scalable/fusion-icon.svg -> /usr/share/icons/hicolor/scalable/apps
    copying fusion-icon.desktop -> /usr/share/applications
    running install_egg_info
    Writing /usr/lib/python2.5/site-packages/fusion_icon-0.1.0-py2.5.egg-info
    Updating Gtk icon cache.
    gtk-update-icon-cache: Cache file created successfully.

    POI:
    root[fusion-icon]# fusion-icon

    * Detected Session: xfce
    * Searching for installed applications…
    * No GLX_EXT_texture_from_pixmap with direct rendering context
    … present with indirect rendering, exporting: LIBGL_ALWAYS_INDIRECT=1
    * Setting option Indirect Rendering to True
    * Using the GTK Interface
    * Decorator “” is invalid.
    * Setting decorator to Emerald (“emerald –replace”)
    * Starting Compiz
    … executing: compiz –replace –sm-disable –ignore-desktop-hints ccp –indirect-rendering
    compiz (dbus) – Error: dbus_bus_get error: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
    compiz (dbus) – Error: InitObject failed
    compiz (core) – Error: Couldn’t activate plugin ‘dbus’

  • Divilinux ITALY Mozilla Firefox Linux 9 anni ago

    @Fabio
    non lanciarla da root la fusion-icon
    Comunque se la compilazione va a buon fine, dalla stessa directory puoi lanciare semplicemente
    ./fusion-icon

  • lo sfondo blu con i numerini di Lost dove l’hai preso???

  • streetcross ITALY Mozilla Firefox Linux 9 anni ago

    wow l’avessi vista prima questa bella guida pronta 🙂 ottima Divi

Comments are closed.